| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties

# IG::Num::Func::Constant Class Reference

A RealFunction class representing a constant function. More...

Inheritance diagram for IG::Num::Func::Constant:
[legend]
Collaboration diagram for IG::Num::Func::Constant:
[legend]

List of all members.

## Public Member Functions
| Constant (double constantValue)
| Constructs a new constant function.
| Constant (double constantValue, double Kx, double Sx)
| Constructs a new constant function.
| Constant (double constantValue, double Kx, double Sx, double Ky, double Sy)
| Constructs a new constant function.
override double | Derivative (double x, int order)
| Returns the derivative of the given order of this function at the specified parameter.
override bool | HigherDerivativeDefined (int order)
| Tells whether the derivative of the given order is defined for this function (by implementation, not mathematically). Returns true if either the internal variable indicates true or the appropriate delegate is non-null.
## Public Attributes
double | _constantValue = 0.0
## Protected Member Functions
override double | RefValue (double x)
| Returns the value of reference (untransformed) function.
override double | RefDerivative (double x)
| Returns the first derivative of reference (untransformed) function.
override double | RefSecondDerivative (double x)
| Returns the second derivative of the given order of reference (untransformed) function.
internal override void | setHighestDerivativeDefined (int order)
| Sets the internal variable that specifies which is the highest order derivative devined (-1 for unlimited).
override double | RefIntegral (double x)
| Returns definite integral of reference (untransformed) function from 0 to the function argument.
override double | RefInverse (double x)
| Returns inverse of the reference (untransformed) function.
## Properties
double | ConstantValue`[get, set]`
| Value of the current constant function.
override bool | ValueDefined`[get, set]`
| Tells whether value of the function is defined by implementation. Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | DerivativeDefined`[get, set]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | SecondDerivativeDefined`[get, set]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | IntegralDefined`[get, set]`
| Indicates whether integral is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | InverseDefined`[get, set]`
| Indicates whether inverse is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

## Detailed Description

A RealFunction class representing a constant function.

## Constructor & Destructor Documentation

IG::Num::Func::Constant::Constant | ( | double | constantValue | ) | `[inline]`

Constructs a new constant function.

Parameters:

  constantValue | Value of the constant function.

IG::Num::Func::Constant::Constant | ( | double | constantValue,
|  | double | Kx,
|  | double | Sx
| ) |  | `[inline]`

Constructs a new constant function.

Parameters:

  constantValue | Value of the constant function.
  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

IG::Num::Func::Constant::Constant | ( | double | constantValue,
|  | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline]`

Constructs a new constant function.

Parameters:

  constantValue | Value of the constant function.
  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

## Member Function Documentation

override double IG::Num::Func::Constant::RefValue | ( | double | x | ) | `[inline, protected, virtual]`

Returns the value of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::Constant::RefDerivative | ( | double | x | ) | `[inline, protected, virtual]`

Returns the first derivative of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::Constant::RefSecondDerivative | ( | double | x | ) | `[inline, protected, virtual]`

Returns the second derivative of the given order of reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::Constant::Derivative | ( | double | x,
|  | int | order
| ) |  | `[inline]`

Returns the derivative of the given order of this function at the specified parameter.

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::Constant::HigherDerivativeDefined | ( | int | order | ) | `[inline]`

Tells whether the derivative of the given order is defined for this function (by implementation, not mathematically). Returns true if either the internal variable indicates true or the appropriate delegate is non-null.

Reimplemented from IG::Num::RealFunction.

internal override void IG::Num::Func::Constant::setHighestDerivativeDefined | ( | int | order | ) | `[inline, protected, virtual]`

Sets the internal variable that specifies which is the highest order derivative devined (-1 for unlimited).

Parameters:

  order | Highest order for which derivative is defined. -1 means that all derivatives are defined.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::Constant::RefIntegral | ( | double | x | ) | `[inline, protected, virtual]`

Returns definite integral of reference (untransformed) function from 0 to the function argument.

Reimplemented from IG::Num::RealFunction.

override double IG::Num::Func::Constant::RefInverse | ( | double | y | ) | `[inline, protected, virtual]`

Returns inverse of the reference (untransformed) function.

Reimplemented from IG::Num::RealFunction.

## Member Data Documentation

double IG::Num::Func::Constant::_constantValue = 0.0

## Property Documentation

double IG::Num::Func::Constant::ConstantValue`[get, set]`

Value of the current constant function.

override bool IG::Num::Func::Constant::ValueDefined`[get, set]`

Tells whether value of the function is defined by implementation. Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::Constant::DerivativeDefined`[get, set]`

Tells whether the first derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::Constant::SecondDerivativeDefined`[get, set]`

Tells whether the second derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::Constant::IntegralDefined`[get, set]`

Indicates whether integral is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::Func::Constant::InverseDefined`[get, set]`

Indicates whether inverse is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

The documentation for this class was generated from the following file:

- FunctionRealBasic.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events